/**
 * @author Marlon Fernando Garcia
 * UTFPR - Campus Pato Branco - Licenciatura em Matemática
 * Classe AjudaFragment.java
 * Classe que cria a tela de Ajuda sobre Lógica.
 */
package com.example.tabelaverdade;

import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;

public class AjudaFragment extends Fragment {
	// interface de acesso ao MainActivity
	public interface AjudaFragmentListener {
		// botões de ajuda
		public void onBotaoLogicaClicked();
		
		public void onBotaoProposicaoClicked();
		
		public void onBotaoTabelaVerdadeClicked();
		
		public void onBotaoConectivosClicked();
		
		public void onBotaoNegacaoClicked();
		
		public void onBotaoConjuncaoClicked();
		
		public void onBotaoDisjuncaoClicked();
		
		public void onBotaoCondicionalClicked();
		
		public void onBotaoBicondicionalClicked();
		
	}
	
	private Button botaoLogica;
	private Button botaoProposicao;
	private Button botaoTabela;
	private Button botaoConectivos;
	private Button botaoNegacao;
	private Button botaoConjuncao;
	private Button botaoDisjuncao;
	private Button botaoCondicional;
	private Button botaoBicondicional;
	
	AjudaFragmentListener listener;

	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		listener = (AjudaFragmentListener) activity;
	}

	@Override
	public void onDetach() {
		super.onDetach();
		listener = null;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		super.onCreateView(inflater, container, savedInstanceState);
		setRetainInstance(true);
		
		View view = inflater.inflate(R.layout.ajuda_fragment_menu, container, false);
		
		botaoLogica = (Button) view.findViewById(R.id.botaoLogica);
		botaoProposicao = (Button) view.findViewById(R.id.botaoProposicoes);
		botaoTabela = (Button) view.findViewById(R.id.botaoTabelaVerdade);
		botaoConectivos = (Button) view.findViewById(R.id.botaoConectivos);
		botaoNegacao = (Button) view.findViewById(R.id.botaoNegacao);
		botaoConjuncao = (Button) view.findViewById(R.id.botaoConjuncao);
		botaoDisjuncao = (Button) view.findViewById(R.id.botaoDisjuncao);
		botaoCondicional = (Button) view.findViewById(R.id.botaoCondicional);
		botaoBicondicional = (Button) view.findViewById(R.id.botaoBicondicional);
		
		botaoLogica.setOnClickListener(botaoLogicaOnClickListener);
		botaoProposicao.setOnClickListener(botaoProposicaoOnClickListener);
		botaoTabela.setOnClickListener(botaoTabelaOnClickListener);
		botaoConectivos.setOnClickListener(botaoConectivosOnClickListener);
		botaoNegacao.setOnClickListener(botaoNegacaoOnClickListener);
		botaoConjuncao.setOnClickListener(botaoConjuncaoOnClickListener);
		botaoDisjuncao.setOnClickListener(botaoDisjuncaoOnClickListener);
		botaoCondicional.setOnClickListener(botaoCondicionalOnClickListener);
		botaoBicondicional.setOnClickListener(botaoBicondicionalOnClickListener);
		
		return view;
	}
	
	OnClickListener botaoLogicaOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoLogicaClicked();
		}
	};
	
	OnClickListener botaoProposicaoOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoProposicaoClicked();
		}
	};
	
	OnClickListener botaoTabelaOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoTabelaVerdadeClicked();
		}
	};
	
	OnClickListener botaoConectivosOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoConectivosClicked();
		}
	};
	
	OnClickListener botaoNegacaoOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoNegacaoClicked();
		}
	};
	
	OnClickListener botaoConjuncaoOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoConjuncaoClicked();
		}
	};
	
	OnClickListener botaoDisjuncaoOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoDisjuncaoClicked();
		}
	};
	
	OnClickListener botaoCondicionalOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoCondicionalClicked();
		}
	};
	
	OnClickListener botaoBicondicionalOnClickListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoBicondicionalClicked();
		}
	};
	
}
