/**
 * @author Marlon Fernando Garcia
 * UTFPR - Campus Pato Branco - Licenciatura em Matemática
 * Classe Fragment.java
 * Cria menu inicial do sistema.
 */
package com.example.tabelaverdade;

import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;

public class MenuFragment extends Fragment {
	// retorna métodos implementados por MainActivity
	public interface MenuFragmentListener {
		// botão calculadora pressionado
		public void onBotaoCalculadoraClicked();
		
		// botão Ajuda pressionado
		public void onBotaoAjudaClicked();
		
		// botão Sobre pressionado
		public void onBotaoSobreClicked();
	}
	
	private MenuFragmentListener listener;
	
	private Button botaoCalculadora;
	private Button botaoAjuda;
	private Button botaoSobre;
	
	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		listener = (MenuFragmentListener) activity;
	}
	
	@Override
	public void onDetach() {
		super.onDetach();
		listener = null;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		super.onCreateView(inflater, container, savedInstanceState);
		setRetainInstance(true);
		
		View view = inflater.inflate(R.layout.menu_fragment, container, false);
		
		botaoCalculadora = (Button) view.findViewById(R.id.botaoCalculadora);
		botaoAjuda = (Button) view.findViewById(R.id.botaoAjuda);
		botaoSobre = (Button) view.findViewById(R.id.botaoSobre);
		botaoCalculadora.setOnClickListener(botaoCalculadoraClicked);
		botaoSobre.setOnClickListener(botaoSobreClicked);
		botaoAjuda.setOnClickListener(botaoAjudaClicked);
		
		return view;
	}
	
	// listener do botão calculadora
	OnClickListener botaoCalculadoraClicked = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoCalculadoraClicked();
		}
	};
	
	OnClickListener botaoSobreClicked = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoSobreClicked();
		}
	};
	
	OnClickListener botaoAjudaClicked = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			listener.onBotaoAjudaClicked();
		}
	};
}
