/**
 * @author Marlon Fernando Garcia
 * UTFPR - Campus Pato Branco - Licenciatura em Matemática
 * Classe TabelaFragment.java
 * Cria a tabela Verdade em um GridLayout
 */
package com.example.tabelaverdade;

import android.app.Activity;
import android.app.Fragment;
import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.GridLayout;
import android.widget.TextView;

public class TabelaFragment extends Fragment {
	// retorn métodos implementados em MainActivity
	public interface TabelaFragmentListener {
		
	}
	
	private TabelaFragmentListener listener;
	
	private GridLayout gridTabela;
	private String formula;
	
	@Override
	public void onAttach(Activity activity) {
		super.onAttach(activity);
		listener = (TabelaFragmentListener) activity;
	}
	
	@Override
	public void onDetach() {
		super.onDetach();
		listener = null;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		super.onCreateView(inflater, container, savedInstanceState);
		setRetainInstance(true);
		
		// infla a tabela
		View view = inflater.inflate(R.layout.tabela_fragment, container, false);
		gridTabela = (GridLayout) view.findViewById(R.id.gridTabela);
		
		// recupera a tabela verdade já calculada em MainActivity
		char[][] tabelaVerdade = MainActivity.tabelaVerdade;
		
		// cria uma matriz de Strings
		String tabelaVerdadeString[][] = new String[tabelaVerdade.length][tabelaVerdade[0].length];
		
		// limpa as colunas dos parenteses e popula a matriz de Strings
		for (int n = 0; n < tabelaVerdade.length; n++) {
			for (int j = 0; j < tabelaVerdade[n].length; j++) {
				if (n > 0) {
					if (tabelaVerdade[0][j] == '(' || tabelaVerdade[0][j] == ')')
						tabelaVerdadeString[n][j] = " "; // coluna de parenteses
					else
						tabelaVerdadeString[n][j] = String.valueOf(tabelaVerdade[n][j]);
				} else {
					tabelaVerdadeString[n][j] = String.valueOf(tabelaVerdade[n][j]);
				}
			}
		}
		
		// transforma na linguagem matemática
		for (int i = 0; i < tabelaVerdadeString[0].length; i++) {
			if (tabelaVerdadeString[0][i].contains("-"))
				tabelaVerdadeString[0][i] = getResources().getString(R.string.negacao);
			if (tabelaVerdadeString[0][i].contains("e"))
				tabelaVerdadeString[0][i] = getResources().getString(R.string.conjuncao);
			if (tabelaVerdadeString[0][i].contains("o"))
				tabelaVerdadeString[0][i] = getResources().getString(R.string.disjuncao);
			if (tabelaVerdadeString[0][i].contains("c"))
				tabelaVerdadeString[0][i] = getResources().getString(R.string.condicional);
			if (tabelaVerdadeString[0][i].contains("b"))
				tabelaVerdadeString[0][i] = getResources().getString(R.string.bicondicional);
		}
		
		// dimensiona o GridLayout do tamanho da tabela-verdade
		gridTabela.setColumnCount(tabelaVerdadeString[0].length);
		gridTabela.setRowCount(tabelaVerdadeString.length);
		
		// percorre o grid populando-o
		for (int i = 0; i < tabelaVerdadeString.length; i++) {
			for (int j = 0; j < tabelaVerdadeString[i].length; j++) {
				TextView textView = new TextView(getActivity());
				textView.setMinWidth(20);
				textView.setTextSize(16);
				textView.setText(tabelaVerdadeString[i][j]);
				if (j == MainActivity.resultado && i > 0)
					textView.setTextColor(Color.RED);
				
				gridTabela.addView(textView);
			}
		}
		
		return view;
	}
	
}
